curl --request PUT \
--url https://api.dev.name.com/core/v1/domains/{domainName}/url/forwarding/{host} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"forwardsTo": "https://destination-site.com",
"host": "www",
"meta": "<meta name='keywords' content='website, forwarding, masked'>",
"title": "Welcome to my forwarded website",
"type": "redirect"
}
EOFimport requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/url/forwarding/{host}"
payload = {
"forwardsTo": "https://destination-site.com",
"host": "www",
"meta": "<meta name='keywords' content='website, forwarding, masked'>",
"title": "Welcome to my forwarded website",
"type": "redirect"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
forwardsTo: 'https://destination-site.com',
host: 'www',
meta: '<meta name=\'keywords\' content=\'website, forwarding, masked\'>',
title: 'Welcome to my forwarded website',
type: 'redirect'
})
};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/url/forwarding/{host}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"forwardsTo": "https://destination-site.com",
"host": "www",
"type": "redirect",
"domainName": "example.org",
"meta": "<meta name='keywords' content='website, forwarding, masked'>",
"title": "Welcome to my forwarded website",
"id": 12345
}{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "The 'Content-Type' header must be 'application/json' for this request."
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}Update URLForwarding
Modifies an existing URL forwarding rule. Changes may take up to 24 hours to fully propagate. Deprecated. Use Update URL Forwarding by ID instead.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
DomainName is the domain part of the hostname to forward.
"example.com"
The full hostname, including subdomain.
"www.example.org"
Body
Updated URL forwarding configuration
Fields for updating a URL forwarding entry. Omit a property to leave it unchanged. An empty host string is the apex, not "unchanged".
The destination URL to which this hostname will be forwarded.
"https://destination-site.com"
The subdomain portion of the hostname that is being forwarded. Omit this field to keep the existing host. Send an empty string to move the forwarding to the apex.
"www"
Meta tags to include in the HTML page when using "masked" forwarding.
Ignored for other forwarding types.
Example: <meta name='keywords' content='fish, denver, platte'>
"<meta name='keywords' content='website, forwarding, masked'>"
The title to be used for the HTML page when using "masked" forwarding. Ignored for other forwarding types.
"Welcome to my forwarded website"
The type of URL forwarding. Valid values:
masked: Retains the original domain in the address bar, preventing the user from seeing the actual destination URL. Sometimes called iframe forwarding.redirect: Uses a standard HTTP redirect (301), which changes the address bar to the destination URL.302: Uses a temporary HTTP redirect (302), which changes the address bar to the destination URL but indicates the resource is temporarily located elsewhere.
masked, redirect, 302 "redirect"
Response
A successful response containing the updated URL forwarding entry.
URLForwarding represents a URL forwarding entry response, allowing a domain to redirect to another URL using different forwarding methods.
The destination URL to which this hostname will be forwarded.
"https://destination-site.com"
The subdomain portion of the hostname that is being forwarded.
"www"
The type of URL forwarding. Valid values:
masked: Retains the original domain in the address bar, preventing the user from seeing the actual destination URL. Sometimes called iframe forwarding.redirect: Uses a standard HTTP redirect (301), which changes the address bar to the destination URL.302: Uses a temporary HTTP redirect (302), which changes the address bar to the destination URL but indicates the resource is temporarily located elsewhere.
masked, redirect, 302 "redirect"
The domain name (without subdomains) that is being forwarded.
"example.org"
Meta tags to include in the HTML page when using "masked" forwarding.
Ignored for other forwarding types.
Example: <meta name='keywords' content='fish, denver, platte'>
"<meta name='keywords' content='website, forwarding, masked'>"
The title to be used for the HTML page when using "masked" forwarding. Ignored for other forwarding types.
"Welcome to my forwarded website"
Server-assigned unique identifier for the URL forwarding record. Use this ID with the URL Forwarding by-ID endpoints to get, update, or delete records.
12345
Was this page helpful?